PETSc version 3.17.4
Fix/Edit manual page

# PetscDrawSPAddPointColorized

Adds another point to each of the scatter plots as well as a numeric value to be used to colorize the scatter point.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode  PetscDrawSPAddPointColorized(PetscDrawSP sp,PetscReal *x,PetscReal *y,PetscReal *z)

Logically Collective on PetscDrawSP

### Input Parameters

| sp | - the scatter plot data structure
| x, y | - two arrays of length dim containing the new x and y coordinate values for each of the curves. Here dim is the number of curves passed to PetscDrawSPCreate()
| z | - array of length dim containing the numeric values that will be mapped to [0,255] and used for scatter point colors.

### Notes

the new points will not be displayed until a call to PetscDrawSPDraw() is made

### See Also

PetscDrawSPAddPoints(), PetscDrawSP, PetscDrawSPCreate(), PetscDrawSPReset(), PetscDrawSPDraw(), PetscDrawSPAddPoint()

### Level

intermediate

### Location

src/sys/classes/draw/utils/dscatter.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages